**`Krishna Prasad`[NAME]** -NL- **`vvskrishnaprasad@gmail.com`[EMAILS_EMAIL]** -NL- Phone#:**`9538974428`[PHONES_PHONE]** -NL- **`SUMMARY`[SUMMARY_HEADING]** -NL-  11 years of experience in developing large-scale, Object-Oriented n-tier Scalable, high-performance -NL- distributed systems and web applications. -NL-  Excellent knowledge in Financial, Healthcare, Investment Banking, Mortgage, domain. -NL-  Strong design and development experience in J2EE and Web technologies including JSP, Servlets, -NL- JDBC, JNDI, EJB, JMS,XML(SAX/DOM Parsers), Ajax. -NL-  Sound experience in developing and deploying applications using Web logic, Web sphere -NL- Application Server, Jboss and Tomcat. -NL-  Working knowledge on UNIX. -NL-  Involved extensively in using MVC , STRUTS2.0 -NL-  Strong Experience in database design having strong experience in writing complex queries, using -NL- SQL server and Oracle. -NL-  Hands on experience in writing SQL like Stored Procedures, DDL and DML. -NL-  Proficient in developing application for asynchronous data retrieval using AJAX -NL-  Hands on working experience on Struts, spring, Hibernate. -NL-  Expert in using Java IDE’s like Eclipse, WSAD. -NL-  Hands on experience in perforce, VSS, Win CVS, and Clear case as version manager. -NL-  Strong work experience in Web based application development, Middleware programming, -NL- Database programming, distributed computing, Server side programming and Client Server -NL- computing in n-tier software systems. -NL-  Proficient in Object Oriented Principles, Methodologies and Best Practices. -NL-  Experience in Analyzing Functional Specifications / Business Requirement Documents. -NL-  Ability to work independently in critical components and possess excellent analytical, -NL- communication, interpersonal, leadership skills. Self-starter, customer focused, detail oriented. -NL-  Good knowledge of the different processes involved in the Software Development Life Cycle and -NL- has exposure to the standards, procedures & documentation followed by CMMI Level 5 companies. -NL-  Involved in various activities like Design, Coding, End-to-End Testing and Production Support for -NL- various online applications. -NL-  Ability to learn and adapt quickly with new tools and technology. -NL- **`SKILL SET`[SKILLS_HEADING]** -NL- Operating Systems: Win95/98/2000/NT/XP, Vista, windows 7 and DOS -NL- Languages & API’s: C, C++, Java, J2EE, EJB, JSP, Servlets, Struts 1.2, 2.0, Hibernate 3.0, -NL- Spring, Swing, JDBC, JNDI, RMI, HTML, JavaScript, -NL- JUNIT, UNIX, JSON. -NL- XML Technologies: XML, XSD, XSLT, XPATH -NL- Servers: -NL- Web logic Server 11/9.2/9.1/8.1/7.0, Web sphere 5.1/6.0/7.0, Tomcat 4.x, 5.0 -NL- JBOSS 5.0 -NL- Database: -NL- Oracle 8i/9i/10g, Sybase11, DB2, MS Access, My SQL. -NL- IDE: -NL- Eclipse Helios/Indigo, INTELIJ IDEA5.0, WSAD5.0. -NL- Design Tool: -NL- Rational Rose, MS Visio -NL- Tools: -NL- Toad7.6, PL/SQL Editor, SQL Navigator, Clear Case, JUNIT, ANT1.6, VSS, -NL- PVCS, Win CVS, Team City, Agile PLM 9.3.3. -NL- **`Education`[EDUCATION_HEADING]** -NL- **`MCA`[EDUCATION_DEGREE]** from **`Andhra University, Visakhapatnam A.P`[EDUCATION_INSTITUTE]**. -NL- **`B.Sc`[EDUCATION_DEGREE]**. from **`Andhra University, Visakhapatnam A.P`[EDUCATION_INSTITUTE]**. -NL- **`Employment History:`[WORK_EXPERIENCE_HEADING]** -NL- July 2004 to September 2014 **`Vmoksha Technologies Pvt. Ltd`[EMPLOYER_COMPANY_NAME]**., Bangalore. -NL- October 2014 to till date **`Allegis Tek-Systems Bangalore`[EMPLOYER_COMPANY_NAME]** as **`Tech Lead`[EMPLOYER_ROLE]**. -NL- **`Awards`[OTHERS_HEADING]** -NL- Received Spot award from Vmoksha for the year 2006-2007 In E4J Project. -NL- Received Team award from Vmoksha for year 2007-2008 for 3M Project. -NL- Received Spot award & Team award from Vmoksha for year 2008-2009 for CPA Project -NL- Received Spot award from Vmoksha for year 20011-20012 for Jamcracker Project -NL- **`Professional Experience:`[WORK_EXPERIENCE_HEADING]** -NL- Project: **`Milestone`[PROJECT_TITLE]** -NL- Client **`Dell`[PROJECT_COMPANY_NAME]** (Dec 2015 – Till date) -NL- Description: Milestones is a legacy tool hosted by **`Dell`[PROJECT_COMPANY_NAME]** and it is developed mainly for **`Dell`[PROJECT_COMPANY_NAME]** users. -NL- Milestones used by Info Dev Team to track documentation project dates, team members and part -NL- numbers. This system houses all the information Development Documentations that goes along with -NL- products. -NL- Responsibility: -NL-  Development of URL based PX for Schedule end date which includes loading agile data to JSP -NL- page and giving user a flexibility to edit the date and save into Agile. -NL-  Involved in requirement gathering, database architecture, business Tier design, unit testing, Code -NL- Reviews. -NL-  Having functional & technical knowledge of Agile PLM (PCM modules) and with a one full -NL- cycle implementations -NL-  Involved in Unit Testing, Integration Testing and System Testing. -NL-  Worked closely with the team members to ensure compliance with the standards. -NL-  Analyze the Connect Code to write the Audit Logging Component. -NL-  Interacting with Business team and ability to translate business requirements into written -NL- technical specs. -NL- Environment: Java 1.6, Agile SDK, Agile 9.3.3, XML, JSP, Servlets, Windows XP, Ant, Eclipse, Agile -NL- Methodologies, Oracle -NL- Project: **`Master Data Management Outside-In Phase II & III `[PROJECT_TITLE]**-NL- Client **`Dell`[PROJECT_COMPANY_NAME]** (Oct 2014 – Nov 2015) -NL- Description : MDM – OI is a multi-phase project which aims to accelerate and automate the -NL- consumption of external product data coming from various ODMs, OEMs and M&A’s into the **`Dell`[PROJECT_COMPANY_NAME]**’s -NL- Agile PLM environment which acts like a product data hub. -NL- Responsibilities: -NL-  Development of the Java code to automate the process of loading external data into Agile. Was -NL- involved in the architecture and design of the code. Interacted with business on a regular basis. -NL-  Involved in requirement gathering, database architecture, business Tier design, unit testing, Code -NL- Reviews. -NL-  Having functional & technical knowledge of Agile PLM (PCM modules) and with a one full -NL- cycle implementations -NL-  Involved in Unit Testing, Integration Testing and System Testing. -NL-  Worked closely with the team members to ensure compliance with the standards. -NL-  Analyze the Connect Code to write the Audit Logging Component. -NL-  Interacting with Business team and ability to translate business requirements into written -NL- technical specs. -NL- Environment: Java 1.6, Agile SDK, Agile 9.3.3, XML, Windows XP, JMS, Ant, Eclipse, Agile -NL- Methodologies, Oracle -NL- Project: **`Jamcracker Services Delivery Network (JSDN)`[PROJECT_TITLE]** -NL- Client: **`ARROW, UK`[PROJECT_COMPANY_NAME]** (Jan ’13 to till date) -NL- Jamcracker Product (ARROW) is a recognized software in "Cloud Services Broker" space. It enables -NL- Service Providers, Technology OEM's, SI's, Distributors and Enterprises to unify the delivery and -NL- management of cloud services (SaaS, IaaS, PaaS, XaaS) to business customers, partners and employees -NL- either directly or indirectly through a multi-tiered ecosystem if desired. It all also supports multi language -NL- support for different countries. -NL- Arrow product provides software solutions and expertise that Software Companies and Service -NL- Providers need to efficiently deliver and manage their On Demand, or Software-as-a-Service -NL- Solutions. Jamcracker’s Pivot Path, On Demand Delivery and Management software, is a fully -NL- Integrated solution that provides the process efficiencies to profitably scale an On Demand delivery -NL- model and to effortlessly add new applications/services and distribution channels. -NL- IT also features the On Demand Enablement Kit that helps software companies quickly net out all the -NL- difficult business, operational and technical variables so they can rapidly devise and implement a -NL- Software-as-a-Service strategy (SAAS). -NL- Responsibilities: -NL-  Involved in requirement gathering, database architecture, web-tier design, business -NL- Tier design, unit testing, Code Reviews. -NL-  Introduces Liquibase for source control for Database change management. -NL-  Involved in developing Bundles, Customer Auto Approvals, Bulk customer creation, Promotions -NL- and Terms -NL-  Involved in writing whole Service layer, DAO layer and Web pages using struts 2.0 -NL-  Involved in Unit Testing, Integration Testing and System Testing. -NL-  Worked closely with the team members to ensure compliance with the standards. -NL-  Involved in Connect team to develop the test harness. -NL-  Analyze the Connect Code to write the Audit Logging Component. -NL-  Designed User Interfaces using JSP, Servlets, and HTML. Developed JSP custom Tag Libraries. -NL-  Followed Agile Methodology in project development. -NL-  Involved in catching mechanism. -NL-  Created ANT Scripts for Build and Deployment of .WAR/.JAR/.EAR files. -NL-  Mentoring and encouraging the team members for innovative and good solutions. -NL-  Provided Test Scripts and Templates with test results of each task delivered to the client team -NL-  Always adhered on Quality processes during delivery on tasks to client. -NL- Environment: WSAD, Web Sphere 6.0, Struts 1.2,Spring2.0 Java 1.4, JSP 2.0, Servlets 2.4, XML, -NL- JavaScript, HTML, XML, PVCS, Windows XP, JMS, Ant, Eclipse ,Ajax ,Agile Methodologies, Oracle, -NL- Liquibase -NL- Project: **`Jamcracker Services Delivery Network (JSDN)`[PROJECT_TITLE]** -NL- Client: **`Westcon, US and UK`[PROJECT_COMPANY_NAME]** (Oct ’10 to Dec ’12) -NL- The JSDN unifies services aggregation, delivery and management capabilities on a single software -NL- platform, with capabilities including application/service warehousing, service and catalog management, -NL- user and access management, user and service provisioning, order management and help desk support. -NL- JSDN was architected to support multi-tenant and multi-tiered distribution environments, and offers -NL- functions, previously only available from disparate commercial and custom developed tools, in a tightly -NL- integrated, easy to use, and easy to deploy platform. Involved in understanding the requirements, -NL- preparing use cases, sequence diagrams, database design, coding, guiding team, architecture design, -NL- testing, setting up the environment. -NL- Responsibilities: -NL-  Defined architecture of new development and re-structuring of an existing application for better -NL- performance. -NL-  Followed Rational Unified Process for the complete life cycle of the project. -NL-  Involved in High Level and Low Level System Design using UML/Rational Rose. Created Class -NL- Diagrams and Sequence Diagrams as part of the design. -NL-  Designed User Interfaces using JSP, Servlets, and HTML. Developed JSP custom Tag Libraries. -NL-  Implemented MVC Architecture using Struts Framework. Implemented validations using Validator -NL- Framework. -NL-  Used Business Delegator and Session Façade design pattern to simplify the interface to the -NL- subsystem. -NL-  Implemented Business Logic using Stateless Session Beans. -NL-  Implemented Message Driven Beans for receiving Asynchronous Messages. -NL-  Implemented Persistence Layer using Hibernate Framework. -NL-  Always used the best practices of Java/J2EE to minimize the unnecessary object creation, encourage -NL- proper garbage collections of un-used objects, minimize database calls, and optimize queries to get -NL- better performance of application. -NL-  Always adhered on Quality processes during delivery on tasks to client. -NL-  Worked extensively on Liquibase. -NL-  Created ANT Scripts for Build and Deployment of .WAR/.JAR/.EAR files. -NL-  Mentoring and encouraging the team members for innovative and good solutions. -NL-  Provided Test Scripts and Templates with test results of each task delivered to the client team. -NL-  Provided regular status reports and pro-actively provide point-wise feedback on progress made, issues -NL- outstanding etc. -NL-  Conducted weekly status report meeting with the team members and the clients. -NL-  Maintained very challenging environment and team spirit among the developers. -NL-  Coordinated with QA team in manual & automatic testing of bug fixes. -NL- Environment: : Java1.6,MySQL,Oracle, Eclipse, Web logic, Struts, Spring2.5, Junits, JMS, Web -NL- services, Agile Methodology, Perforce, Maven, XML, Java Script, Teamcity, Subversion, SQL, PL/SQL, -NL- Liquibase -NL- Client / Customer: **`CPA Memotech (UK)`[PROJECT_COMPANY_NAME]** (Apr ’09 to Sep ’10) -NL- CPA Memotech allows corporate IP departments to automate, monitor and achieve total control over the -NL- complicated IP management process. -NL- The fully web-based system is modular in design, which means we can select exactly the modules we -NL- require to meet the demands of our individual business. By fitting in with our current systems CPA -NL- Memotech ensures that capturing, storing and retrieving all our IP information will become more efficient -NL- and cost effective. We can also collaborate online with our agents, partners. -NL- Modules involved: Patent, Third-Party Patent, Invention Submission, Inventor Remuneration (German), -NL- Inventor Award, Trademark, Design, Domain Name, Licensing & Agreement, Cost Tracking, Cost -NL- Forecast. -NL-  Manage all our IP rights -NL-  Automate our internal processes -NL-  Collaborate online with our agents, business partners -NL-  Track and forecast all our IP related costs -NL- Responsibilities: -NL-  The entire System design is based on Model View Controller Architecture. Implemented MVC -NL- Architecture using Struts Framework. -NL-  Implemented Business Logic using Stateless Session Beans. Developed additional helper classes -NL- required by the EJBs to carry out the new business logic. -NL-  I was involved in preparing detail design document, unit test plan for different modules. -NL-  Retrieved data using DMG API which was exposed as Web services. -NL-  Created User Interface using JSP/HTML. -NL-  Used Data Access Object (DAO) pattern to fetch data from the database. -NL-  Designed Database tables, views, indexes in such a way that they give best performance as a Data -NL- warehousing product. -NL-  De-normalized the database to increase read performance. -NL-  Developed stored procedures to fetch data to the UI. -NL- Environment: Struts, Hibernate, Oracle 10g, XML, XSLT, Ajax, Java Script, Web sphere, core Java, -NL- J2EE, JSP. -NL- Client / Customer: **`3M USA`[PROJECT_COMPANY_NAME]** (Sep ’07 to Mar ’09) -NL- Details of the Project: -NL- 3M Chargemaster Online is a Web-based chargemaster analysis and validation tool that enables hospitals -NL- to ensure that their Charge Description Master (CDM) is accurate and current. 3M Chargemaster Online -NL- is powered by the robust EditEngine™ to validate chargemaster data against advanced coding compliance -NL- rules and logic. -NL- Missing charges and expired or incorrect codes are identified in the chargemaster, enabling hospitals to -NL- control the CDM update process and prevent these codes from populating patient bills. The result is -NL- reduced bill rejections and A/R days, improved coding compliance, and increased reimbursement. -NL- This has the following features: -NL-  Identifies incorrect, expired, or deleted CPT codes and offers replacement codes -NL-  Validates revenue and department codes -NL-  Matches CPT to revenue codes -NL-  Online, up-to-date reference guide for all CPT and HCPCS codes -NL-  Provides automation email notification of CDM updates to relevant parties. -NL-  Advanced reporting module. -NL-  Defects invalid and obsolete CPT/HCPCS and offers replacements. -NL-  Generates detailed reports by department, CPT/HCPCS/Revenue Code -NL-  Comparing the Hospital CDM with the Best Practices followed -NL- Responsibilities: -NL-  Interacting with Client about new requirements. -NL-  Designing Database Schema for database objects to be created as part of enhancements -NL-  Modifying JSP pages to fix the reported bugs. -NL-  Providing technical support for 2 weeks after the Release 2.2 for UBS, Hong Kong. -NL-  Provided technical leadership to the project team and help resolve technical issues. -NL-  Worked closely with the team members to ensure compliance with the standards. -NL-  Designed User Interfaces using JSP, XML and HTML. -NL-  Took part in the QA Meetings to resolve the issues raised by the QA Team. -NL-  Prepared Documentation and Participated in System Integration. -NL-  Participated in defining development standards and encouraged use of the best practices during the -NL- project execution. -NL-  Supported the Production Environment. -NL- Environment: Jsp, XML, JavaScript, JAVA, AJAX, Jasper reports, Web sphere 5.1, Web services, Struts -NL- 1.1, Java, J2EE, JSP, Servlets, SQL, Oracle 9i, VSS. -NL- Client / Customer: **`Misys Financial services US`[PROJECT_COMPANY_NAME]** (Dec ‘04 – Oct ‘07) -NL- Details of the Project: -NL- Equation product of Misys, supports distributed bank branch solutions (EBA - Electronic Banking -NL- Architecture), Relationship Manager, Cashier and multiple channel access. This product boasts rich -NL- enquiry, reporting and management information interfaces for bank branches and bank customers as -NL- well. -NL- Equation is being migrated from RPG to Java Technology This product is primarily for Retail Banking -NL- business with several functionalities including account deposits, lending, multi currency support, and -NL- 24X7 net banking supports etc. This product is modularized into Input, Batch, Global and Enquiry -NL- services. Input represents user interaction screens with inquiry, update functions, Batch services -NL- represents the daily activities to be performed after bank timings, for ex interest calculation functions, -NL- reports generations etc. Global services include security, multi language multi currency supports. -NL- Modules Involved: -NL- Input Framework -NL- Input Function -NL- Batch Framework -NL- Bath Process -NL- Responsibilities: -NL-  Involved in Designing the Architecture. -NL-  Involved in Development and Implementation. -NL-  Coordinating with Onsite coordinator and offshore activities. -NL-  Preparing Build Plan & Tracking the Activities. -NL-  Involved in Fixing the Bugs. -NL-  Involved in Unit Level Testing, Unit Level Test Cases, and Test Reports. -NL- Environment: Oracle 10g, DB2 7.2, IBM Web Sphere Application Server 6.0, Struts ,Server, Java -NL- Script, JSP, Ant, WSAD, Eclipse, AS/400, Windows 2000 -NL- Client / Customer: **`Yamaha School, Singapore`[PROJECT_COMPANY_NAME]** (July ‘04 – Nov ’04) -NL- Role: Database Design and coding -NL- About Yamaha Company: -NL- Yamaha, founded by Torakusu Yamaha, are manufacturers of the best musical instruments in the world. -NL- The company has capitalized on a unique heritage of artisanship and technological know-how to diversify -NL- into an astoundingly wide range of products and services. -NL- Back ground -NL- Yamaha worldwide has several websites developed and maintained by individual authorities. Yamaha -NL- Singapore has embarked on an initiative to develop a global website management toolkit to build and -NL- maintain their website which would provide a look and feel as per Yamaha Web Standard. This will -NL- enable adherence to global communication guidelines, ease of maintenance and cost benefits. -NL- Responsibility: -NL- Implemented programs for Archiving module using Struts frame work. Writing the code Action forms -NL- and designing the jsp pages and doing the serverside validation using Action classes. -NL- Developed a ClientSideValidations package using JavaScript. -NL- Interacting with the users of the existing system and capturing the new requirements from them. -NL- Involved in full life cycle of the application -NL- Details of the Project: -NL- The project work involves the implementation of a completely browser based Web Site desing of -NL- Yamaha school. The package provides the solutions for the different segments such as -NL- Scheduling, Archiving, AccessControl, Search, WHSWYG, Content Creation, Email. -NL- Environment: AS/400, Windows 2000, Postgres 7.2, DB2 7.2 Java, Struts ,Servlet, JSP, Ant, PVCS, PL/ -NL- SQL Editor, Eclipse, IBM Web Sphere Studio -NL- **`EDUCATION:`[EDUCATION_HEADING]** -NL- Masters in Computer Science -NL- Andhra University, India -NL- **`REFERENCES:`[OTHERS_HEADING]** -NL- References are available upon request. -NL- 